// Copyright 2017-2021, Schlumberger
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.opengroup.osdu.register.provider.azure.util;

import org.opengroup.osdu.register.provider.azure.subscriber.pubsub.IPubsubPartitionHelper;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;

@Component
@ConditionalOnProperty(value = "azure.serviceBus.enabled", havingValue = "true", matchIfMissing = true)
public class PartitionHelperServiceBus implements IPubsubPartitionHelper {

    public String getFullyQualifiedTopicName(String topicNameAlias) {
        //No Full Qualified Name Required for Service Bus topics
        return topicNameAlias;
    }

    public String getTopicAliasFromFullyQualifiedTopicName(String fullyQualifiedTopicName) {
        // NO Alias Required for Service Bus topics
        return fullyQualifiedTopicName;
    }

    public String retrieveScope(String topic) {
        // No Op for Service Bus
        return "";
    }

    public String retrieveResourceGroup() {
        // No Op for Service Bus
        return "";
    }
}
